org.apache.lucene.analysis.el

## Class GreekLowerCaseFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.el.GreekLowerCaseFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class GreekLowerCaseFilter
    extends TokenFilter

Normalizes token text to lower case, removes some Greek diacritics, and standardizes final sigma to sigma.

You must specify the required `Version` compatibility when creating GreekLowerCaseFilter:

- As of 3.1, supplementary characters are properly lowercased.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`GreekLowerCaseFilter(Version matchVersion, TokenStream in)` Create a GreekLowerCaseFilter that normalizes Greek token text.

### Method Summary

Methods
`boolean` `incrementToken()`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GreekLowerCaseFilter

    public GreekLowerCaseFilter(Version matchVersion,
                        TokenStream in)

Create a GreekLowerCaseFilter that normalizes Greek token text.

Parameters:
  `matchVersion` - Lucene compatibility version, See above
  `in` - TokenStream to filter

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`